summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Michiel van Wessem2010-05-11 15:00:24 +0200
committer Robby Workman2010-05-11 15:00:24 +0200
commit52a1b2b0ea40c71ddf6b029dbb39433c2a2d44b8 (patch)
tree7f117a96b3e12236d20338e8edf4bad7304b7787 /multimedia
parent8f396336433f8160d98fa543c50c41a15e09773d (diff)
downloadslackbuilds-52a1b2b0ea40c71ddf6b029dbb39433c2a2d44b8.tar.gz
multimedia/GoogleEarth: Initial import
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/GoogleEarth/GoogleEarth.SlackBuild134
-rw-r--r--multimedia/GoogleEarth/GoogleEarth.info8
-rw-r--r--multimedia/GoogleEarth/README15
-rw-r--r--multimedia/GoogleEarth/doinst.sh8
-rw-r--r--multimedia/GoogleEarth/slack-desc11
5 files changed, 176 insertions, 0 deletions
diff --git a/multimedia/GoogleEarth/GoogleEarth.SlackBuild b/multimedia/GoogleEarth/GoogleEarth.SlackBuild
new file mode 100644
index 0000000000..7b9287173f
--- /dev/null
+++ b/multimedia/GoogleEarth/GoogleEarth.SlackBuild
@@ -0,0 +1,134 @@
+#!/bin/sh
+
+# Slackware build script for google-earth
+# Written by (Michiel van Wessem <BP{k}>) (michiel@slackbuilds.org)
+
+# Copyright 2007 Michiel van Wessem (http://michielvwessem.wordpress.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Thanks to rworkman for the additional code and script cleanups, and danieldk
+# and Alan_Hicks for their comments.
+
+set -e
+
+PRGNAM=googleearth
+PKGNAME=GoogleEarth
+VERSION=4.1.7076.4458
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No flags/configure needed as it is just a binary repackaging.
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+sh $CWD/${PKGNAME}Linux.bin --noexec --target $PKG/opt/$PKGNAME
+
+( cd $PKG/opt/$PKGNAME
+tar -xvf $PRGNAM-data.tar && rm $PRGNAM-data.tar || exit 1
+tar -xvf $PRGNAM-linux-x86.tar && rm $PRGNAM-linux-x86.tar || exit 1
+) || exit 1
+
+# Set the ownership and permissions right after all parts are extracted.
+cd $PKG
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mv $PKG/opt/$PKGNAME/bin/$PRGNAM $PKG/opt/$PKGNAME/$PRGNAM
+rmdir $PKG/opt/$PKGNAME/bin
+
+( cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Let's use the information from the included postinstall.sh
+# script to create menu entry and mime stuff
+DESKTOPFILE=$PKG/usr/share/applications/GoogleEarth.desktop
+MIMEFILE=$PKG/usr/share/mime/googleearth-mimetypes.xml
+mkdir -p $PKG/usr/share/{applications,mime,pixmaps}
+
+cat >$DESKTOPFILE <<EOF
+[Desktop Entry]
+Encoding=UTF-8
+Name=Google Earth
+GenericName=3D planet viewer
+Comment=Explore, search and discover the planet
+Exec=googleearth %f
+Terminal=false
+MultipleArgs=false
+Type=Application
+Icon=/usr/share/pixmaps/googleearth-icon.png
+Categories=Application;Network
+MimeType=application/vnd.google-earth.kml+xml;application/vnd.google-earth.kmz;application/earthviewer;application/keyhole
+
+EOF
+cat >$MIMEFILE <<EOF
+<?xml version="1.0"?>
+<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
+ <mime-type type="application/vnd.google-earth.kml+xml">
+ <comment>Keyhole Markup Language data</comment>
+ <glob pattern="*.kml"/>
+ </mime-type>
+
+ <mime-type type="application/vnd.google-earth.kmz">
+ <comment>Keyhole Markup Language archive</comment>
+ <glob pattern="*.kmz"/>
+ </mime-type>
+
+ <mime-type type="application/keyhole">
+ <comment>Keyhole Markup Language data</comment>
+ </mime-type>
+
+ <mime-type type="application/earthviewer">
+ <comment>Keyhole Markup Language data</comment>
+ </mime-type>
+</mime-info>
+
+EOF
+
+# Let's take care of documentation
+mkdir -p $PKG/usr/doc/$PKGNAME-$VERSION
+mv $PKG/opt/$PKGNAME/EULA* $PKG/usr/doc/$PKGNAME-$VERSION
+mv $PKG/opt/$PKGNAME/README.linux $PKG/usr/doc/$PKGNAME-$VERSION
+cat $CWD/$PKGNAME.SlackBuild > $PKG/usr/doc/$PKGNAME-$VERSION/$PKGNAME.SlackBuild
+
+mv $PKG/opt/$PKGNAME/{$PRGNAM-icon.png,$PRGNAM.xpm} $PKG/usr/share/pixmaps
+
+( mkdir -p $PKG/usr/bin/
+ cd $PKG/usr/bin
+ ln -s ../../opt/$PKGNAME/$PRGNAM $PRGNAM
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Clean up files that we no longer need.
+rm $PKG/opt/$PKGNAME/{preuninstall,setup,postinstall}.sh
+rm -rf $PKG/opt/$PKGNAME/setup.data
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/GoogleEarth/GoogleEarth.info b/multimedia/GoogleEarth/GoogleEarth.info
new file mode 100644
index 0000000000..b08551019a
--- /dev/null
+++ b/multimedia/GoogleEarth/GoogleEarth.info
@@ -0,0 +1,8 @@
+PRGNAM="google-earth"
+VERSION="4.1.7076.4458"
+HOMEPAGE="http://earth.google.com"
+DOWNLOAD="http://dl.google.com/earth/client/current/GoogleEarthLinux.bin"
+MD5SUM="92dc59ae22ca97111d3d8ce066fa6cb2"
+MAINTAINER="Michiel van Wessem"
+EMAIL="michiel@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/multimedia/GoogleEarth/README b/multimedia/GoogleEarth/README
new file mode 100644
index 0000000000..ff2bf4eedc
--- /dev/null
+++ b/multimedia/GoogleEarth/README
@@ -0,0 +1,15 @@
+GoogleEarth (Google's famous virtual globe)
+
+Google Earth is a virtual globe program. It maps a version of the
+Earth by the superimposition of images obtained from satellite
+imagery, aerial photography and GIS over a 3D globe. You point
+and zoom to any place on the planet that you want to explore.
+Satellite images and local facts zoom into view. Tap into Google
+search to show local points of interest and facts. Zoom to a
+specific address to check out an apartment or hotel. View driving
+directions and even fly along your route.
+
+The degree of resolution available is based somewhat on the points
+of interest, but most land (except for some islands) is covered in at
+least 15 meters of resolution.
+
diff --git a/multimedia/GoogleEarth/doinst.sh b/multimedia/GoogleEarth/doinst.sh
new file mode 100644
index 0000000000..79484f3422
--- /dev/null
+++ b/multimedia/GoogleEarth/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ usr/bin/update-mime-database usr/share/mime > /dev/null 2>&1
+fi
+
diff --git a/multimedia/GoogleEarth/slack-desc b/multimedia/GoogleEarth/slack-desc
new file mode 100644
index 0000000000..81e1c1ab04
--- /dev/null
+++ b/multimedia/GoogleEarth/slack-desc
@@ -0,0 +1,11 @@
+GoogleEarth: GoogleEarth (Google's famous virtual globe)
+GoogleEarth:
+GoogleEarth: Google Earth is a virtual globe program. It maps a version of the
+GoogleEarth: Earth by the superimposition of images obtained from satellite
+GoogleEarth: imagery, aerial photography and GIS over a 3D globe. You point
+GoogleEarth: and zoom to any place on the planet that you want to explore.
+GoogleEarth: Satellite images and local facts zoom into view. Tap into Google
+GoogleEarth: search to show local points of interest and facts. Zoom to a
+GoogleEarth: specific address to check out an apartment or hotel. View driving
+GoogleEarth: directions and even fly along your route.
+GoogleEarth: